Partner Product

Partner products are used in the integration connector for all products a provider plans to offer in the Toqio system (e.g., regular account, deposit account, saving account, points account, investment account, point of sales account).

Products in the Toqio system can have a custom name and one or multiple assigned currencies.

The Get Partner Products endpoint retrieves available partner products from your integration connector for a given customer (i.e., not all products offered by a BaaS provider), a given merchant, a bank country code, or different combinations of these parameters.

If the BaaS provider allows use of all partner products regardless of the customer, you can return the same list of products every time and use the customerId to log the request in your system.

In other cases, you can determine which customers or merchants can work with which partner products for a customized response. This information can come directly from the BaaS provider (if they provide an endpoint for that purpose) or be managed in your integration (e.g., configured in your own database).

The partner product must be connected to the Product entity in the Toqio system. The Product entity is used in the account (ledger) creation process, where merchants (clients or companies) see the products available to them when creating an account.


GET https://your_connector_url/customers/{customerId}/partnerProducts

Path Params

ParameterTypeRequiredDescription
customerIdStringYesThe ID of the customer.

Query Params

ParameterTypeRequiredDescription
clientIdStringNoRetrieves partner products available for a particular merchant.
countryCodeStringNoRetrieves partner products available for a particular country, as defined by the banking provider. Uses ISO 3166-2.

The countryCode field is optional. Based on the nature of the request, there are two use cases:

  • With countryCode: Typically used for account creation. Return the list of partner products available for this country code if you handle this value. For example, you may have data like holderBankAddress dependent on the countryCode parameter.
  • Without countryCode: Used to retrieve all partner products the provider offers. Return all partner products without filtering by country.

Response Body

The response is an array of objects with the following fields:

ParameterTypeRequiredDescription
codeStringYesThe code of the product defined in the provider integration connector. A partner product must always have one.
assetTypeStringDeprecated.
assetTypesArray<String>YesThe currencies of the partner product. This field can only be used for fiat currencies — not for other asset types such as loyalty points or investment assets.
labelObjectYesThe name of the partner product in different languages. Visible to users as the Product name, but can be edited during product configuration. See label fields below.
holderBankStringNoThe name of the banking provider of the partner product.
holderBankAddressStringNoThe address of the banking provider offering the partner product.
holderBankSWIFTStringNoSWIFT code of the banking provider offering the partner product.
correspondentBankStringNoThe name of the correspondent bank, if applicable.
correspondentBankAddressStringNoThe address of the correspondent bank, if applicable.
correspondentBankSWIFTStringNoSWIFT code of the correspondent bank, if applicable.
schemesArray<String>YesThe banking schemes supported by this partner product. See supported bank payment scheme values.

label fields:

FieldTypeDescription
esStringProduct name in Spanish.
enStringProduct name in English.
zhStringProduct name in Chinese.